> For the complete documentation index, see [llms.txt](https://2435ghj424g6j.gitbook.io/gm/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://2435ghj424g6j.gitbook.io/gm/api/endpoints.md).

# Endpoints

## DATA Endpoints

### Data Add:

* [dataAdd](https://github.com/Offsetdata/OD-Docs/blob/main/api/broken-reference/README.md)

The dataAdd endpoint allows you to add data to a specified chain (Polygon, Binance Smart Chain, BASE Chain, Camino Network, Polygon ZkEvm). It is used for `Simple` or `Advanced` data records.

### Data Verify:

* [dataVerify](https://github.com/Offsetdata/OD-Docs/blob/main/api/broken-reference/README.md)

The dataVerify endpoint allows you to verify the integrity of data stored on a specified chain (Polygon, Binance Smart Chain, BASE Chain, Camino Network, Polygon ZkEvm). It is used for `Simple` or `Advanced` data records.

### Data Find:

* [dataFind](https://github.com/Offsetdata/OD-Docs/blob/main/api/broken-reference/README.md)

The dataFind endpoint allows you to find specific data stored on a chain using its hash value or submission hash. This endpoint is used for `Single` record stored on the blockchain.

### Data All:

* [dataAll](https://github.com/Offsetdata/OD-Docs/blob/main/api/broken-reference/README.md)

The dataAll endpoint allows you to retrieve all the data records stored on the chain that belongs to the submitter. Each record contains information such as the chain it belongs to, record and submission details.

## UTILITY Endpoints

### Price Get:

* [priceGet](https://github.com/Offsetdata/OD-Docs/blob/main/api/broken-reference/README.md)

The priceGet endpoint allows you to retrieve the current and most up-to-date price of the specific token from the price oracle.

### Transaction Get:

* [txGet](https://github.com/Offsetdata/OD-Docs/blob/main/api/broken-reference/README.md)

The txGet endpoint allows you to retrieve incoming and outgoing transaction details from a specific chain. You can retrieve ERC20 or ERC721 and native transactions.

### Revoke Api Key

* [userRevokeKey](https://github.com/Offsetdata/OD-Docs/blob/main/api/broken-reference/README.md)

The userRevokeKey endpoint allows you to revoke or deactivate your API key. This operation can not be reversed back.

### API Usage

* [userUsage](https://github.com/Offsetdata/OD-Docs/blob/main/api/broken-reference/README.md)

The userUsage endpoint allows you to retrieve usage statistics and cost information associated with API key.

### API Version

* [version](https://github.com/Offsetdata/OD-Docs/blob/main/api/broken-reference/README.md)

The version endpoint allows you to retrieve current version information and status of the API Service.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://2435ghj424g6j.gitbook.io/gm/api/endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
